<?php
namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00034000MaximoCarenciaPropostaFactory;
use Teknisa\Libs\Util\Environment;

class Sm00034000MaximoCarenciaPropostaService
{
    
    protected $FactoryCarenciaOperProp;
    protected $Environment;
    
    public function __construct (Sm00034000MaximoCarenciaPropostaFactory $FactoryCarenciaOperProp, Environment $Environment){
        
        $this->FactoryCarenciaOperProp  = $FactoryCarenciaOperProp;
        $this->Environment  = $Environment;

    }
    
     /**
     * A função "validaCarenciaOperador" verifica se já existe 
     * uma carencia cadastrada para o operador indicado.
     */
     
    public function validaCarenciaOperador($parcOperador){
    
        $paramsValidaCarenciaOperProp = array(
            "NRPARCNEGOCIO"  => $parcOperador,
            "NRORG"          => $this->Environment->getNrOrg()
        );
        
        $returnValidaCarenciaOperProp = $this->FactoryCarenciaOperProp->validaCarenciaOperador($paramsValidaCarenciaOperProp);
        
        return $returnValidaCarenciaOperProp[0]["VALIDAOPER"] != 0;
        
    }
    /**
     * A função "validaCarenciaOperador" verifica se já existe 
     * uma carencia cadastrada para o operador indicado.
     */
     
    public function validaCarenciaOperOuPerf($cdoperador, $nrorg){
        $paramsValidaCarenciaOperPerf = array(
            "CDOPERADOR"  => $cdoperador,
            "NRORG"          => $nrorg
        );
        
        $returnValidaCarenciaOperPerf = $this->FactoryCarenciaOperProp->validaCarenciaOperOuPerf($paramsValidaCarenciaOperPerf);
        
        return (count($returnValidaCarenciaOperPerf) > 0) ? $returnValidaCarenciaOperPerf[0] : null;
    }

}
?>