<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctCancelarMedicao {
    
    const NOME = "FCT_CANCELAR_MEDICAO";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure FCT_CANCELAR_MEDICAO.
     * @param string  $nrmedicaofatura
     * @param string  $nrseqcontrato
     * @param integer $nrorg
     * @param string  $operador
     */
     
    public function executar($nrmedicaofatura, $nrseqcontrato, $nrorg, $operador) {
        $procedure = new StoredProcedure($this->connection, self::NOME);
        
        $procedure->addParam(new Param("P_NRMEDICAOFATURA", Param::PARAM_INPUT,  $nrmedicaofatura,  Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRSEQCONTRATO",   Param::PARAM_INPUT,  $nrseqcontrato,    Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRORG",           Param::PARAM_INPUT,  $nrorg,            Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_CDOPERADOR",      Param::PARAM_INPUT,  $operador,         Param::PARAM_TYPE_STR));

        
        $procedure->execute();
    }
    
}

?>
